/* 
################################################################################################ 
FLIPBOARD ACCOUNTS
################################################################################################ 
*/

body { 
    margin: 0; 
    padding: 0; 
    background: #F7F7F7;
    color: #262626; 
    font-family: Regular, 'Helvetica Neue', Helvetica, Arial, sans-serif; 
    font-size: 16px;
    text-align: center;
    height: 100%;
}

/* 
################################################################################################ 
BASE
################################################################################################ 
*/

.error {
    color: #F30;
    font-family: Medium, 'Helvetica Neue', Helvetica, Arial, sans-serif; 
    margin: -12px 0 12px 0;
}

.ctr {
    margin: 60px auto;
}

.fllogo {
    margin: 32px auto 32px auto;
    width: 174px;
    height: 45px;
    background: url(../bookmarklet/images/fllogo.png) 0 0 no-repeat;
    background-size: 174px 45px;
}

h1.tagline {
    font-size: 14px;
    margin: 20px 0;
    color: #999;
}

.ctr-buttons button {
    margin: 0 20px 0 0;
    /* min-width: 240px; */
}

.ctr-buttons button:last-child { margin: 0; }

.ctr-buttons.help {
    margin: auto;
    width: 400px;
}

.ctr-buttons.help button {
    display: block;
    margin: 0 0 20px 0;
    min-width: 400px;
}

.or {
    height: 2px;
    width: 90%;
    margin: 24px auto 28px auto;
    background: rgba(0,0,0,0.1);
    background: -webkit-gradient(linear, left top, right top, 
                color-stop(0%,rgba(0,0,0,0)), 
                color-stop(20%,rgba(0,0,0,0.1)), 
                color-stop(80%,rgba(0,0,0,0.1)), 
                color-stop(100%,rgba(0,0,0,0)));

    background: -moz-linear-gradient(left, 
                rgba(0,0,0,0) 0%, 
                rgba(0,0,0,0.1) 20%, 
                rgba(0,0,0,0.1) 80%, 
                rgba(0,0,0,0) 100%);

    background: -o-linear-gradient(top, 
                rgba(0,0,0,0) 0%, 
                rgba(0,0,0,0.1) 20%, 
                rgba(0,0,0,0.1) 80%, 
                rgba(0,0,0,0) 100%);

    background: -ms-linear-gradient(top, 
                rgba(0,0,0,0) 0%, 
                rgba(0,0,0,0.1) 20%, 
                rgba(0,0,0,0.1) 80%, 
                rgba(0,0,0,0) 100%);

    background: linear-gradient(to right, 
                rgba(0,0,0,0) 0%, 
                rgba(0,0,0,0.1) 20%, 
                rgba(0,0,0,0.1) 80%, 
                rgba(0,0,0,0) 100%);
    position: relative;
}

.or div {
    position: absolute;
    top: -7px;
    left: 0;
    right: 0;
}

.or div span {
    font-family: Medium, 'Helvetica Neue', Helvetica, Arial, sans-serif;;
    color: #999;
    padding: 0 10px;
    background: #F7F7F7;
}

.ctr-fields {
    margin: auto;
    width: 424px;
    position: relative;
}

.ctr-fields input {
    min-width: 406px;
}

.ctr-fields input,
.ctr-fields button {
    display: block;
}

.ctr-fields.signup #username,
.ctr-fields.signup #password {
    width: 248px;
    min-width: 248px;
    float: right;
}

.ctr-fields .forgot {
    margin: 10px 0 0 0;
    font-size: 14px;
    float: right;
}

.ctr-fields.signup .profile {
    position: absolute;
    top: 0;
    left: 0;
    width: 136px;
    height: 136px;
    background: #DDD;
}

.ctr-fields.signup .profile .frame {
    position: absolute;
    top: 0;
    left: 0;
    width: 136px;
    height: 136px;
    background: url(../bookmarklet/images/profileframe.png) 0 0 no-repeat;
    background-size: 100% 100%;
    z-index: 1;
}

.ctr-fields.signup .profile p {
    font-size: 18px;
    font-family: Medium, 'Helvetica Neue', Helvetica, Arial, sans-serif;;
    color: #999;
    position: absolute;
    bottom: 12px;
    left: 0;
    right: 0;
    text-align: center;
    text-shadow: 0 2px 0 rgba(255,255,255,0.5);
}


/* 
################################################################################################ 
FOOTER
################################################################################################ 
*/

.footer {
    font-size: 13px;
    padding: 32px 20px;
}

.footer a {
    margin: 0 12px 0 0;
}

.footer a:last-child { margin: 0; }

a {
    color: #999;
    text-decoration: none;
    border-bottom: 1px solid #CCC;
}

a:hover {
    color: #09C;
    border-bottom: none;
}

.signin {
  margin-top: 20px;
}

body.signin-body {
  height: auto;
}

.signin-body p.signup {
    background: #DDD;
    color: #262626;
    padding: 12px;
    line-height: 2.2;
}

.signin-body p.signup .extended {
    display: none;
}

.signin-body p.signup span {
    display: inline-block;
    margin-top: 0;
    border: none;
}

.signin-body p.signup .badge {
    display: inline-block;
    width: 132px;
    height: 36px;
    margin: 0 0 0 10px;
    border: none;
    text-indent: -10000px;
}

.signin-body p.signup .badge.mobile {
    display: none;
    color:  #09C;
}

.signin-body p.signup .badge.apple      { background: url(../img/badge_appstore.png) 0 0 no-repeat; }
.signin-body p.signup .badge.android    { background: url(../img/badge_playstore.png) 0 0 no-repeat; }

/* 
###################################################################################################################################################################### 
RETINA
######################################################################################################################################################################  
*/

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) { 

    .fllogo {
        background-image: url(../bookmarklet/images/fllogo-2x.png);
    }

    .signin-body p.signup .badge.apple      { background: url(../img/badge_appstore-2x.png) 0 0 no-repeat; background-size: 132px 36px; }
    .signin-body p.signup .badge.android    { background: url(../img/badge_playstore-2x.png) 0 0 no-repeat; background-size: 132px 36px; }
    
}

/* 
######################################################################################################################################################################
PADS
######################################################################################################################################################################  
*/

@media only screen and (device-width: 768px) {

    .signin-body p.signup {
        background: #262626;
        color: #FFF;
        padding: 4px;
    }

    .signin-body p.signup span {
        height: auto;
    }

    .signin-body p.signup .badge {
        display: inline-block;
        width: auto;
        height: auto;
        margin: 0;
        border: none;
        text-indent: 0;
        color: #09C;
    }
}


/* 
###################################################################################################################################################################### 
PHONES
######################################################################################################################################################################  
*/

@media only screen and (max-device-width: 767px) {

    .fllogo {
        margin: 20px auto 20px auto;
    }

    .ctr-fields {
        margin: auto;
        width: 280px;
        position: relative;
    }

    .ctr-fields input {
        min-width: 262px;
    }

    .or {
        margin: 20px auto 24px auto;
    }

    .footer {
        padding: 20px;
    }

    .signin-body p.signup {
        background: #262626;
        color: #FFF;
        padding: 4px;
    }

    .signin-body p.signup span {
        height: auto;
    }

    .signin-body p.signup .badge {
        display: inline-block;
        width: auto;
        height: auto;
        margin: 0;
        border: none;
        text-indent: 0;
        color: #09C;
    }

}